umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Uml::CmdSetTxt Class Reference

`#include <cmdsettxt.h>`

Inheritance diagram for Uml::CmdSetTxt:

## Public Member Functions
| CmdSetTxt (FloatingTextWidget *ftw, const QString &txt)
| ~CmdSetTxt ()
void | redo ()
void | undo ()

## Private Attributes
FloatingTextWidget * | m_ftw
QString | m_newstring
QString | m_oldstring

## Constructor & Destructor Documentation

## ◆ CmdSetTxt()

Uml::CmdSetTxt::CmdSetTxt | ( | FloatingTextWidget * | ftw,
|  | const QString & | txt )

## ◆ ~CmdSetTxt()

Uml::CmdSetTxt::~CmdSetTxt | ( |  | ) |

## Member Function Documentation

## ◆ redo()

void Uml::CmdSetTxt::redo | ( |  | ) |

## ◆ undo()

void Uml::CmdSetTxt::undo | ( |  | ) |

## Member Data Documentation

## ◆ m_ftw

FloatingTextWidget* Uml::CmdSetTxt::m_ftw
| private

## ◆ m_newstring

QString Uml::CmdSetTxt::m_newstring
| private

## ◆ m_oldstring

QString Uml::CmdSetTxt::m_oldstring
| private

The documentation for this class was generated from the following files:

- umbrello/cmds/widget/cmdsettxt.h
- umbrello/cmds/widget/cmdsettxt.cpp